# Uses of Class
org.apache.sling.scripting.sightly.impl.engine.SightlyScriptEngine

Packages that use SightlyScriptEngine
Package
Description
org.apache.sling.scripting.sightly.impl.engine
org.apache.sling.scripting.sightly.impl.engine.compiled

## Uses of SightlyScriptEngine in org.apache.sling.scripting.sightly.impl.engine

Constructors in org.apache.sling.scripting.sightly.impl.engine with parameters of type SightlyScriptEngine
Modifier
Constructor
Description
``
`SightlyCompiledScript(SightlyScriptEngine scriptEngine, org.apache.sling.scripting.sightly.render.RenderUnit renderUnit)`

## Uses of SightlyScriptEngine in org.apache.sling.scripting.sightly.impl.engine.compiled

Methods in org.apache.sling.scripting.sightly.impl.engine.compiled with parameters of type SightlyScriptEngine
Modifier and Type
Method
Description
`SightlyCompiledScript`
SlingHTLMasterCompiler.`compileHTLScript(SightlyScriptEngine engine, Reader script, ScriptContext scriptContext)`